package jp.sf.orangesignal.trading;

import static org.junit.Assert.assertTrue;
import jp.sf.orangesignal.trading.PositionType;

import org.junit.Test;

public class PositionTypeTest {

	@Test
	public void testValues() {
		final PositionType[] values = PositionType.values();
		for (final PositionType value : values) {
			switch (value) {
				case LONG:
				case SHORT:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
